Draft Drawing/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(15 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/sv|Name=Draft_Drawing|Name/sv=Draft Drawing|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Drafting → Drawing}}


{{Docnav
==Beskrivning==
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created. This tool works similarly to the [[Drawing View]] tool, but is optimized for [[Draft Workbench|Draft]] objects, and can render flat 2D objects with a face filling. It can also handle a couple of specific Draft objects, such as [[Draft Dimension|dimensions]] and [[Draft Text|texts]], that the [[Drawing View]] tool cannot handle.
Both the command and the [[Drawing_Workbench|Drawing Workbench]] it works with are not available in {{VersionPlus|0.21}}. Use the [[TechDraw_Workbench|TechDraw Workbench]] and the [[TechDraw_DraftView|TechDraw DraftView]] command instead.}}


<div class="mw-translate-fuzzy">
[[Image:Draft drawing example.jpg|640px]]
{{GuiCommand/sv|Name=Draft_Drawing|Name/sv=Draft Drawing|Workbenches=[[Draft_Workbench/sv|Skiss]]|MenuLocation=Drafting → Drawing}}
</div>


<span id="Description"></span>
==Bruk==
==Beskrivning==


<div class="mw-translate-fuzzy">
# Select the objects you wish to put on a drawing sheet
detta verktyg tillåter dig att lägga valda objekt på ett svg [[Drawing Workbench/sv|ritningsark]].
# Press the {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button
</div>


This command is similar to the [[Drawing_View|Drawing View]] command but is optimized for [[Draft_Workbench|Draft]] objects. Contrary to that command, it can handle specific objects such as [[Draft_Dimension|Draft Dimensions]] and [[Draft_Text|Draft Texts]], and it can render faces.
==Options==


This command is now obsolete. Use the [[TechDraw_Workbench|TechDraw Workbench]] and the [[TechDraw_DraftView|TechDraw DraftView]] command instead.
* Välj de objekt som du vill ha på ritningsarket.
* Addera i samma val det sidobjekt som du vill rita dina objekt på. Om det inte finns någon existerande sida, så kommer en ny att skapas. Om du inte valde en sida, men det finns åtminstone en i dokumentet, så kommer den som hittas först att användas som underlag.
* De objekt som visas på ritningssidan kommer att använda den skala och offsetvärden som värdsidan har. Försäkra dig om att ställa in dessa värden innan.
* Du kan ändra objektens skala och offset när som helst.
* Ställ in/justera linjebredden. Högre värden kommer att resultera i tjockare linjer.
* Ställ in/justera textstorleken. Högre värden kommer att resultera i större text.
* Om du valde ett existerande ark, och du har valt objekt som redan finns på det arket (till exempel för ett "Rectangle" objekt så finns det redan ett "ViewRectangle" objekt på arket), så kommer de att ersättas. Detta tillåter dig att helt enkelt välja alla objekt och skicka dem till en existerande sida, vilken kommer att uppdateras.


[[Image:Draft drawing example.jpg|640px]]
==Properties==
{{Caption|On the left the selected Draft objects. On the right the created drawing views.}}


<span id="Usage"></span>
* {{PropertyData|Fill Style}}: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
<div class="mw-translate-fuzzy">
* {{PropertyData|Font Size}}: Allows you to specify the font size of texts and dimensions.
==Bruk==
* {{PropertyData|Line Width}}: Allows you to specify the line width of viewed objects.
</div>


# To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See [[Interface_Customization|Interface Customization]].
==Scripting==
# Select one or more objects. A separate view will be created for each object.
# Optionally add a [[Drawing_Workbench|Drawing]] page to the selection. If you do not, the view is inserted into the first page in the document. If there are no pages in the document a new page is created first.
# Press the {{Button|[[Image:Draft_Drawing.svg|16px]] [[Draft_Drawing|Draft Drawing]]}} button.
# There is a bug in the FreeCAD version 0.19 version of the command. The initial value of the {{PropertyData|Direction}} property is {{Value|[0, 0, 0]}} which is not allowed. For objects on a plane parallel to the XY plane of the global coordinate system it should be changed to {{Value|[0, 0, 1]}}. After changing this property the page and the view may need to be [[Std_Refresh|recomputed]].


The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:


{{Docnav
{{Code|code=
|
Draft.makeDrawingView (object,page)
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}
}}


{{Draft Tools navi{{#translation:}}}}
* Adds a view of the given object to the given page.
{{Userdocnavi{{#translation:}}}}
* Returns the created view object.

Example:

{{Code|code=
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
}}

<languages/>

Latest revision as of 08:35, 20 May 2023

THIS COMMAND IS OBSOLETE
Both the command and the Drawing Workbench it works with are not available in version 0.21 and above. Use the TechDraw Workbench and the TechDraw DraftView command instead.

Draft Drawing

Menyplacering
Drafting → Drawing
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

detta verktyg tillåter dig att lägga valda objekt på ett svg ritningsark.

This command is similar to the Drawing View command but is optimized for Draft objects. Contrary to that command, it can handle specific objects such as Draft Dimensions and Draft Texts, and it can render faces.

This command is now obsolete. Use the TechDraw Workbench and the TechDraw DraftView command instead.

On the left the selected Draft objects. On the right the created drawing views.

Bruk

  1. To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See Interface Customization.
  2. Select one or more objects. A separate view will be created for each object.
  3. Optionally add a Drawing page to the selection. If you do not, the view is inserted into the first page in the document. If there are no pages in the document a new page is created first.
  4. Press the Draft Drawing button.
  5. There is a bug in the FreeCAD version 0.19 version of the command. The initial value of the DataDirection property is [0, 0, 0] which is not allowed. For objects on a plane parallel to the XY plane of the global coordinate system it should be changed to [0, 0, 1]. After changing this property the page and the view may need to be recomputed.